# Copyright (c) 2000-2009, JPackage Projectc
# All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
#
# 1. Redistributions of source code must retain the above copyright
#    notice, this list of conditions and the following disclaimer.
# 2. Redistributions in binary form must reproduce the above copyright
#    notice, this list of conditions and the following disclaimer in the
#    documentation and/or other materials provided with the
#    distribution.
# 3. Neither the name of the JPackage Project nor the names of its
#    contributors may be used to endorse or promote products derived
#    from this software without specific prior written permission.
#
# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
# A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
# OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
# DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
# THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
# OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
#

%define with()          %{expand:%%{?with_%{1}:1}%%{!?with_%{1}:0}}
%define without()       %{expand:%%{?with_%{1}:0}%%{!?with_%{1}:1}}
%define bcond_with()    %{expand:%%{?_with_%{1}:%%global with_%{1} 1}}
%define bcond_without() %{expand:%%{!?_without_%{1}:%%global with_%{1} 1}}

%bcond_with gcj_support
%bcond_without site

%if %with gcj_support
%define gcj_support 1
%else
%define gcj_support 0
%endif

%define __jar_repack %{nil}

%define section free
%define reltag GA
%define namedversion %{version}.%{reltag}

Name:           richfaces
Version:        3.3.2
Release:        1%{?dist}
Epoch:          0
Summary:        JBoss RichFaces
License:        LGPLv2+
Group:          Development/Framework
URL:            http://labs.jboss.com/jbossrichfaces
# svn -q export http://anonsvn.jboss.org/repos/richfaces/tags/3.3.2.GA/ richfaces-3.3.2 && tar cjf richfaces-3.3.2.tar.bz2 richfaces-3.3.2
Source0:        richfaces-3.3.2.tar.bz2
Source1:        %{name}-settings.xml
Source2:        %{name}-jpp-depmap.xml
# FIXME: (dwalluck): Remove these and all binary jars
Source11:       http://repository.jboss.com/maven2/org/eclipse/wst/sse/core/1.1.202-v200709061102/core-1.1.202-v200709061102.jar
Source12:       http://repository.jboss.com/maven2/org/eclipse/wst/sse/core/1.1.202-v200709061102/core-1.1.202-v200709061102.pom
Source13:       http://repository.jboss.com/maven2/org/eclipse/wst/css/core/1.1.101-v200705302225/core-1.1.101-v200705302225.jar
Source14:       http://repository.jboss.com/maven2/org/eclipse/wst/css/core/1.1.101-v200705302225/core-1.1.101-v200705302225.pom
# FIXME: (dwalluck): Remove these and all binary jars
Source15:        http://repository.jboss.org/maven2/org/jboss/seam/jboss-seam/2.1.1.GA/jboss-seam-2.1.1.GA.jar
Source16:        http://repository.jboss.org/maven2/org/jboss/seam/jboss-seam-debug/2.1.1.GA/jboss-seam-debug-2.1.1.GA.jar
Source17:        http://repository.jboss.org/maven2/org/jboss/seam/jboss-seam-pdf/2.1.1.GA/jboss-seam-pdf-2.1.1.GA.jar
Source18:        http://repository.jboss.org/maven2/org/jboss/seam/jboss-seam-ui/2.1.1.GA/jboss-seam-ui-2.1.1.GA.jar
Patch0:         richfaces-cdk-generator-pom.patch
Patch1:         richfaces-cdk-maven-plugin-pom.patch
Patch2:         richfaces-framework-test-pom.patch
Patch3:         richfaces-maven-cdk-plugin-plexus-components.patch
Patch4:         richfaces-cdk-generator-BuilderConfig.patch
Patch5:         richfaces-samples-richfaces-demo-pom.patch
Patch6:         richfaces-docs-userguide-pom.patch
Patch8:         richfaces-resource-config-xpp3-reader-read.patch
Patch9:         richfaces-cdk-pom.patch
Patch10:        richfaces-site.patch
Patch11:        richfaces-docs-userguide-en-pom-xml.patch
Patch12:        richfaces-cglib.patch
Patch13:        richfaces-asm.patch
Patch14:        richfaces-assembly.patch

BuildRequires:  jpackage-utils >= 0:1.7.3
BuildRequires:  java-devel >= 0:1.5.0

%if 0
DEBUG:   Path to dependency:                                                                                                                                                                                                                 
DEBUG:          1) org.apache.maven.plugins:maven-plugin-plugin:maven-plugin:2.0.8                                                                                                                                                           
DEBUG:          2) org.apache.maven:maven-plugin-tools-beanshell:jar:2.1                                                                                                                                                                     
DEBUG:          3) bsh:bsh:jar:1.3.0                                                                                                                                                                                                         
DEBUG:          4) bsf:bsf:jar:2.3.0 
%endif
BuildRequires:  bsf
BuildRequires:  maven2 >= 0:2.0.7-8
BuildRequires:  maven-archetype2
BuildRequires:  maven2-default-skin
BuildRequires:  maven2-plugin-antrun
BuildRequires:  maven2-plugin-changes
BuildRequires:  maven2-plugin-compiler
BuildRequires:  maven2-plugin-dependency
BuildRequires:  maven2-plugin-install
BuildRequires:  maven2-plugin-jar
BuildRequires:  maven2-plugin-javadoc
BuildRequires:  maven2-plugin-plugin
BuildRequires:  maven2-plugin-pmd
BuildRequires:  maven2-plugin-project-info-reports
BuildRequires:  maven2-plugin-resources
BuildRequires:  maven2-plugin-site
BuildRequires:  maven2-plugin-source
BuildRequires:  maven2-plugin-war
BuildRequires:  maven-jxr
BuildRequires:  maven-shared-archiver
BuildRequires:  maven-shared-dependency-analyzer
BuildRequires:  maven-shared-dependency-tree
BuildRequires:  maven-shared-file-management
BuildRequires:  maven-shared-plugin-tools-api
BuildRequires:  maven-shared-plugin-tools-beanshell
BuildRequires:  maven-shared-plugin-tools-java
BuildRequires:  maven-surefire-provider-junit
BuildRequires:  maven2-plugin-surefire
BuildRequires:  jetty6-maven2-plugins
BuildRequires:  mojo-maven2-plugin-antlr
BuildRequires:  mojo-maven2-plugin-build-helper
BuildRequires:  mojo-maven2-plugin-javacc
BuildRequires:  mojo-maven2-plugin-xml
BuildRequires:  maven-jdocbook-plugin
BuildRequires:  modello-maven-plugin

BuildRequires:  ant
BuildRequires:  docbook-style-xsl >= 0:1.73
BuildRequires:  easymock2 >= 0:2.3
BuildRequires:  easymock-classextension2 >= 0:2.3
BuildRequires:  hibernate-beanvalidation-api
BuildRequires:  htmlunit >= 0:1.14
BuildRequires:  javacc
BuildRequires:  junit
BuildRequires:  modello
BuildRequires:  objenesis
BuildRequires:  openqa-selenium-rc-java-client-driver
BuildRequires:  openqa-selenium-rc-server-coreless
BuildRequires:  plexus-utils
BuildRequires:  plexus-resources
BuildRequires:  plexus-velocity
BuildRequires:  velocity14
BuildRequires:  saxon
BuildRequires:  saxon7
BuildRequires:  shale-test
BuildRequires:  testng
BuildRequires:  tlddoc
BuildRequires:  xalan-j2
BuildRequires:  xmlgraphics-batik
BuildRequires:  xmlgraphics-fop
BuildRequires:  jbossorg-docbook-highlight
BuildRequires:  jbossorg-docbook-xslt
BuildRequires:  jbossorg-jdocbook-style


BuildRequires:  postgresql-jdbc

BuildRequires:  sun-annotation-1.0-api
BuildRequires:  asm
BuildRequires:  cglib
BuildRequires:  cssparser
BuildRequires:  dtdparser
BuildRequires:  ejb_3_0_api
BuildRequires:  el-impl
BuildRequires:  el_1_0_api
BuildRequires:  geronimo-jsp-2.1-api
BuildRequires:  geronimo-jta-1.0.1B-api
BuildRequires:  geronimo-specs-poms
BuildRequires:  glassfish-jstl
BuildRequires:  hibernate3
BuildRequires:  hibernate3-annotations
BuildRequires:  hibernate3-entitymanager
BuildRequires:  hsqldb
BuildRequires:  jhighlight
BuildRequires:  jakarta-commons-beanutils
BuildRequires:  jakarta-commons-collections
BuildRequires:  jakarta-commons-dbcp
BuildRequires:  jakarta-commons-digester
BuildRequires:  jakarta-commons-logging
BuildRequires:  jakarta-slide-webdavclient
BuildRequires:  jakarta-taglibs-standard
BuildRequires:  glassfish-persistence-1.0b-api
#BuildRequires:  jpa_3_0_api
BuildRequires:  facelets
BuildRequires:  nekohtml
BuildRequires:  myfaces
BuildRequires:  oscache
BuildRequires:  qdox
BuildRequires:  rhino16
BuildRequires:  saxpath
BuildRequires:  taglib-maven2-plugin
BuildRequires:  servlet_2_5_api
BuildRequires:  slf4j
BuildRequires:  sun-jsf-1.2-api
BuildRequires:  sun-jsf-1.2-impl
BuildRequires:  velocity14
BuildRequires:  xerces-j2
BuildRequires:  xml-commons-resolver11
BuildRequires:  xpp3-minimal


BuildRequires:  htmlunit-core-js
BuildRequires:  jakarta-commons-parent
BuildRequires:  jboss-parent
BuildRequires:  jsunit

Requires(post):    jpackage-utils >= 0:1.7.3
Requires(postun):  jpackage-utils >= 0:1.7.3

Requires:       java >= 0:1.5.0

BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root

%description
RichFaces is a rich component library for JSF and an advanced
framework for easily integrating AJAX capabilities into
business application development. The RichFaces components
come ready to use out-of-the-box, so developers can immediately
save time in taking advantage of component features to create
Web applications that provide greatly improved user experience
more reliably and more quickly. RichFaces also includes strong
support for the skinnability of JSF applications. RichFaces
also takes full advantage of the benefits of the JSF framework
including lifecycle, validation, and conversion facilities,
along with the management of static and dynamic resources.

RichFaces differs from other AJAX approaches by enabling
page-oriented AJAX support instead of the traditional
component-oriented support. This means you can define an
event in the page that invokes a particular AJAX request
and then you can also define those areas of the page that
need to be synchronized with the JSF Component Tree after
this particular AJAX request is processed on the server.

%package framework
Summary:        Java Server Faces AJAX Framework
Group:          Development/Framework
Requires:       annotation_1_0_api
Requires:       el_1_0_api
Requires:       jakarta-commons-beanutils
Requires:       jakarta-commons-collections
Requires:       jakarta-commons-digester
Requires:       jakarta-commons-logging
Requires:       jakarta-taglibs-standard
Requires:       facelets
Requires:       jsf_1_2_api
Requires:       jsp_2_1_api
Requires:       nekohtml
Requires:       oscache
Requires:       servlet_2_5_api

%description framework
%{summary}.

%package test
Summary:        Java Server Faces AJAX Framework
Group:          Development/Framework
Requires:       %{name}-framework = %{epoch}:%{version}-%{release}
Requires:       easymock2
Requires:       easymock-classextension2
Requires:       htmlunit
Requires:       junit
Requires:       objenesis
Requires:       rhino16
Requires:       shale-test
Requires:       sun-jsf-1.2-impl

%description test
%{summary}.

%package generator
Summary:        Java Server Faces Component Generator
Group:          Development/Framework
Requires:       %{name}-framework = %{epoch}:%{version}-%{release}
Requires:       %{name}-ui = %{epoch}:%{version}-%{release}
Requires:       ant >= 0:1.7
Requires:       asm
Requires:       cglib
Requires:       dtdparser
Requires:       el_1_0_api
Requires:       el-impl
Requires:       jsf_1_2_api
Requires:       jsp_2_1_api
Requires:       jakarta-commons-beanutils
Requires:       jakarta-commons-collections
Requires:       jakarta-commons-digester
Requires:       qdox >= 0:1.6.3
Requires:       velocity14
Requires:       xerces-j2

%description generator
%{summary}.

%package maven
Summary:        RichFaces Maven2 Plugins and Archetypes
Group:          Development/Framework
Requires:       %{name}-generator = %{epoch}:%{version}-%{release}
Requires:       maven2 >= 0:2.0.7-8
Requires:       maven-shared-archiver
Requires:       maven-shared-file-management
Requires:       plexus-utils
Requires:       plexus-velocity
Requires:       rhino16

%description maven
%{summary}.

%package ui
Summary:        RichFaces UI Components
Group:          Development/Framework
Requires:       %{name}-framework = %{epoch}:%{version}-%{release}
Requires:       el_1_0_api
Requires:       hibernate3
Requires:       hibernate3-annotations
Requires:       jakarta-commons-logging
Requires:       jakarta-taglibs-standard
Requires:       jhighlight
Requires:       jsf_1_2_api
Requires:       facelets
Requires:       jsp_2_1_api
Requires:       servlet_2_5_api

%description ui
%{summary}.

%package javadoc
Summary:        Javadoc for %{name}
Group:          Development/Documentation

%description javadoc
%{summary}.

%package manual
Summary:        Documents for %{name}
Group:          Development/Documentation

%description manual
%{summary}.

%package demo
Summary:        Sample Webapp for %{name}
Group:          Development/Frameworks

%description demo
%{summary}.

%prep
%setup -q
%{_bindir}/find -type f -name "*.jar" | %{_bindir}/xargs -t %{__rm}
%patch0 -b .sav0
%patch1 -b .sav1
%patch2 -b .sav2
%patch3 -b .sav3
%patch4 -b .sav4
%patch5 -b .sav5
%patch6 -b .sav6
%patch8 -b .sav8
%patch9 -b .sav9
%patch10 -b .sav10
%patch11 -b .sav11
%patch12 -b .sav12
%patch13 -b .sav13
%patch14 -b .sav14

#mkdir -p docs/xslt/en/target/classes/fo
#cp /usr/share/sgml/docbook/xsl-stylesheets/fo/docbook.xsl docs/xslt/en/target/classes/fo
mkdir -p docs/cdkguide/en/target/classes/fo
cp /usr/share/sgml/docbook/xsl-stylesheets/fo/docbook.xsl docs/cdkguide/en/target/classes/fo
mkdir -p docs/userguide/en/target/classes/fo
cp /usr/share/sgml/docbook/xsl-stylesheets/fo/docbook.xsl docs/userguide/en/target/classes/fo
mkdir -p docs/userguide/en/src/main/resources/fo
cp /usr/share/sgml/docbook/xsl-stylesheets/fo/docbook.xsl docs/userguide/en/src/main/resources/fo

# FIXME
mkdir -p m2_repo/repository/org.jboss.seam/
cp -p %{SOURCE15} m2_repo/repository/org.jboss.seam/jboss-seam.jar
cp -p %{SOURCE16} m2_repo/repository/org.jboss.seam/jboss-seam-debug.jar
cp -p %{SOURCE17} m2_repo/repository/org.jboss.seam/jboss-seam-pdf.jar
cp -p %{SOURCE18} m2_repo/repository/org.jboss.seam/jboss-seam-ui.jar

mkdir -p m2_repo/repository/JPP/maven2/default_poms/
cp -p samples/pom.xml m2_repo/repository/JPP/maven2/default_poms/org.richfaces-samples.pom

mkdir -p m2_repo/repository/org.eclipse.wst.sse/
cp %{SOURCE11} m2_repo/repository/org.eclipse.wst.sse/core.jar

mkdir -p m2_repo/repository/org.eclipse.wst.css/
cp %{SOURCE13} m2_repo/repository/org.eclipse.wst.css/core.jar

mkdir -p m2_repo/repository/JPP
jar cf m2_repo/repository/JPP/docbook-xsl-stylesheets.jar -C %{_datadir}/sgml/docbook/xsl-stylesheets common
for sd in $(ls %{_datadir}/sgml/docbook/xsl-stylesheets); do
  jar uf m2_repo/repository/JPP/docbook-xsl-stylesheets.jar -C %{_datadir}/sgml/docbook/xsl-stylesheets $sd
done

mkdir -p m2_repo/repository/JPP/maven2/default_poms
cp -p cdk/pom.xml m2_repo/repository/JPP/maven2/default_poms/org.richfaces-cdk.pom 

cp %{SOURCE1} settings.xml
sed -i -e "s|<url>__JPP_URL_PLACEHOLDER__</url>|<url>file://`pwd`/m2_repo/repository</url>|g" settings.xml
sed -i -e "s|<url>__JAVADIR_PLACEHOLDER__</url>|<url>file://`pwd`/external_repo</url>|g" settings.xml
sed -i -e "s|<url>__MAVENREPO_DIR_PLACEHOLDER__</url>|<url>file://`pwd`/m2_repo/repository</url>|g" settings.xml

mkdir external_repo
ln -s %{_javadir} external_repo/JPP

%{__perl} -pi -e 's|<module>jsf-test</module>|<!--<module>jsf-test</module>-->|g;' framework/pom.xml

%build
unset LANG
export MAVEN_REPO_LOCAL=$(pwd)/m2_repo/repository

mkdir -p $MAVEN_REPO_LOCAL/org.richfaces.docs/
ln -sf $(pwd)/docs/highlight/target/highlight-%{namedversion}.jar \
m2_repo/repository/org.richfaces.docs/highlight.jar

%{__mkdir_p} ${MAVEN_REPO_LOCAL}/JPP/maven2/default_poms/
%{__cp} -p framework/pom.xml ${MAVEN_REPO_LOCAL}/JPP/maven2/default_poms/org.richfaces-framework.pom

export M2_SETTINGS=$(pwd)/settings.xml

export MAVEN_OPTS="-Xmx1500m -XX:-UseGCOverheadLimit -Xbootclasspath/p:$(build-classpath rhino16)"

mvn-jpp -e \
        -s $M2_SETTINGS \
        -Dmaven2.jpp.depmap.file=%{SOURCE2} \
        -Dmaven.repo.local=$MAVEN_REPO_LOCAL \
        -Dmaven.test.failure.ignore=true \
        -P release,docs \
        install \
%if %with site
        site
%else

%endif

%install
rm -rf $RPM_BUILD_ROOT

# jars
install -d -m 755 $RPM_BUILD_ROOT%{_javadir}/%{name}
install -d -m 755 $RPM_BUILD_ROOT%{_datadir}/maven2/poms

# BUILD/richfaces-3.2.2.SR1/cdk/generator/target/generator-3.2.2.SR1.jar
%add_to_maven_depmap org.richfaces.cdk generator %{namedversion} JPP/%{name} generator
install -m 644 cdk/generator/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-generator.pom
install -m 644 cdk/generator/target/generator-%{namedversion}.jar \
           $RPM_BUILD_ROOT%{_javadir}/%{name}/generator-%{version}.jar

#BUILD/richfaces-3.2.2.SR1/cdk/maven-archetype-jsf-component/target/maven-archetype-jsf-component-3.2.2.SR1.jar
%add_to_maven_depmap org.richfaces.cdk maven-archetype-jsf-component %{namedversion} JPP/%{name} maven-archetype-jsf-component
install -m 644 cdk/maven-archetype-jsf-component/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-maven-archetype-jsf-component.pom
install -m 644 cdk/maven-archetype-jsf-component/target/maven-archetype-jsf-component-%{namedversion}.jar \
           $RPM_BUILD_ROOT%{_javadir}/%{name}/maven-archetype-jsf-component-%{version}.jar

#BUILD/richfaces-3.2.2.SR1/cdk/maven-archetype-jsfwebapp/target/maven-archetype-jsfwebapp-3.2.2.SR1.jar
%add_to_maven_depmap org.richfaces.cdk maven-archetype-jsfwebapp %{namedversion} JPP/%{name} maven-archetype-jsfwebapp
install -m 644 cdk/maven-archetype-jsfwebapp/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-maven-archetype-jsfwebapp.pom
install -m 644 cdk/maven-archetype-jsfwebapp/target/maven-archetype-jsfwebapp-%{namedversion}.jar \
           $RPM_BUILD_ROOT%{_javadir}/%{name}/maven-archetype-jsfwebapp-%{version}.jar

#BUILD/richfaces-3.2.2.SR1/cdk/maven-archetype-plug-n-skin/target/maven-archetype-plug-n-skin-3.2.2.SR1.jar
%add_to_maven_depmap org.richfaces.cdk maven-archetype-plug-n-skin %{namedversion} JPP/%{name} maven-archetype-plug-n-skin
install -m 644 cdk/maven-archetype-plug-n-skin/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-maven-archetype-plug-n-skin.pom
install -m 644 cdk/maven-archetype-plug-n-skin/target/maven-archetype-plug-n-skin-%{namedversion}.jar \
           $RPM_BUILD_ROOT%{_javadir}/%{name}/maven-archetype-plug-n-skin-%{version}.jar

#BUILD/richfaces-3.2.2.SR1/cdk/maven-cdk-plugin/target/maven-cdk-plugin-3.2.2.SR1.jar
%add_to_maven_depmap org.richfaces.cdk maven-cdk-plugin %{namedversion} JPP/%{name} maven-cdk-plugin
install -m 644 cdk/maven-cdk-plugin/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-maven-cdk-plugin.pom
install -m 644 cdk/maven-cdk-plugin/target/maven-cdk-plugin-%{namedversion}.jar \
           $RPM_BUILD_ROOT%{_javadir}/%{name}/maven-cdk-plugin-%{version}.jar

#BUILD/richfaces-3.2.2.SR1/cdk/maven-javascript-plugin/target/maven-javascript-plugin-3.2.2.SR1.jar
%add_to_maven_depmap org.richfaces.cdk maven-javascript-plugin %{namedversion} JPP/%{name} maven-javascript-plugin
install -m 644 cdk/maven-javascript-plugin/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-maven-javascript-plugin.pom
install -m 644 cdk/maven-javascript-plugin/target/maven-javascript-plugin-%{namedversion}.jar \
           $RPM_BUILD_ROOT%{_javadir}/%{name}/maven-javascript-plugin-%{version}.jar

install -d -m 755 $RPM_BUILD_ROOT%{_javadir}/maven2/plugins
(cd $RPM_BUILD_ROOT%{_javadir}/maven2/plugins
ln -sf %{_javadir}/%{name}/richfaces-cdk-plugin.jar
ln -sf %{_javadir}/%{name}/richfaces-javascript-plugin.jar
)

%if %with site
#BUILD/richfaces-3.2.2.SR1/docs/cdkguide/en/target/cdkguide_en-3.2.2.SR1.jar
%add_to_maven_depmap org.richfaces.docs.cdkguide en %{namedversion} JPP/%{name} cdkguide_en
install -m 644 docs/cdkguide/en/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-cdkguide_en.pom
install -m 644 docs/cdkguide/en/target/cdkguide_en-%{namedversion}.jar \
           $RPM_BUILD_ROOT%{_javadir}/%{name}/cdkguide_en-%{version}.jar

#BUILD/richfaces-3.2.2.SR1/docs/faq/en/target/faq_en-3.2.2.SR1.jar
%add_to_maven_depmap org.richfaces.docs.faq en %{namedversion} JPP/%{name} faq_en
install -m 644 docs/faq/en/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-faq_en.pom
install -m 644 docs/faq/en/target/faq_en-%{namedversion}.jar \
           $RPM_BUILD_ROOT%{_javadir}/%{name}/faq_en-%{version}.jar

#BUILD/richfaces-3.2.2.SR1/docs/highlight/target/highlight-3.2.2.SR1.jar
%add_to_maven_depmap org.richfaces.docs highlight %{namedversion} JPP/%{name} highlight
install -m 644 docs/highlight/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-highlight.pom
install -m 644 docs/highlight/target/highlight-%{namedversion}.jar \
           $RPM_BUILD_ROOT%{_javadir}/%{name}/highlight-%{version}.jar

#BUILD/richfaces-3.2.2.SR1/docs/migrationguide/en/target/migration_en-3.2.2.SR1.jar
%add_to_maven_depmap org.richfaces.docs.migration en %{namedversion} JPP/%{name} migration_en
install -m 644 docs/migrationguide/en/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-migration_en.pom
install -m 644 docs/migrationguide/en/target/migration_en-%{namedversion}.jar \
           $RPM_BUILD_ROOT%{_javadir}/%{name}/migration_en-%{version}.jar

%add_to_maven_depmap org.richfaces.docs.photo_album_app_guide en %{namedversion} JPP/%{name} photo_album_app_guide_en
install -m 644 docs/migrationguide/en/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-photo_album_app_guide_en.pom
install -m 644 docs/photo_album_app_guide/en/target/photo_album_app_guide_en-%{namedversion}.jar \
           $RPM_BUILD_ROOT%{_javadir}/%{name}/photo_album_app_guide_en-%{version}.jar

#BUILD/richfaces-3.2.2.SR1/docs/userguide/en/target/userguide_en-3.2.2.SR1.jar
%add_to_maven_depmap org.richfaces.docs.userguide en %{namedversion} JPP/%{name} userguide_en
install -m 644 docs/userguide/en/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-userguide_en.pom
install -m 644 docs/userguide/en/target/userguide_en-%{namedversion}.jar \
           $RPM_BUILD_ROOT%{_javadir}/%{name}/userguide_en-%{version}.jar

##BUILD/richfaces-3.2.2.SR1/docs/xslt/en/target/en-3.2.2.SR1.jar
#%add_to_maven_depmap org.richfaces.docs.xslt en %{namedversion} JPP/%{name} en
#install -m 644 docs/xslt/en/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-en.pom
#install -m 644 docs/xslt/en/target/en-%{namedversion}.jar \
#           $RPM_BUILD_ROOT%{_javadir}/%{name}/en-%{version}.jar
%endif

#BUILD/richfaces-3.2.2.SR1/framework/api/target/richfaces-api-3.2.2.SR1.jar
%add_to_maven_depmap org.richfaces.framework richfaces-api %{namedversion} JPP/%{name} richfaces-api
install -m 644 framework/api/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-richfaces-api.pom
install -m 644 framework/api/target/richfaces-api-%{namedversion}.jar \
           $RPM_BUILD_ROOT%{_javadir}/%{name}/richfaces-api-%{version}.jar

#BUILD/richfaces-3.2.2.SR1/framework/impl/target/richfaces-impl-3.2.2.SR1.jar
%add_to_maven_depmap org.richfaces.framework richfaces-impl %{namedversion} JPP/%{name} richfaces-impl
install -m 644 framework/impl/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-richfaces-impl.pom
install -m 644 framework/impl/target/richfaces-impl-%{namedversion}.jar \
           $RPM_BUILD_ROOT%{_javadir}/%{name}/richfaces-impl-%{version}.jar

#BUILD/richfaces-3.2.2.SR1/framework/test/target/richfaces-test-3.2.2.SR1.jar
%add_to_maven_depmap org.richfaces.framework richfaces-test %{namedversion} JPP/%{name} richfaces-test
install -m 644 framework/test/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-richfaces-test.pom
install -m 644 framework/test/target/richfaces-test-%{namedversion}.jar \
           $RPM_BUILD_ROOT%{_javadir}/%{name}/richfaces-test-%{version}.jar

#BUILD/richfaces-3.2.2.SR1/samples/darkX/target/darkX-3.2.2.SR1.jar
%add_to_maven_depmap org.richfaces.samples darkX %{namedversion} JPP/%{name} darkX
install -m 644 samples/darkX/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-darkX.pom
install -m 644 samples/darkX/target/darkX-%{namedversion}.jar \
           $RPM_BUILD_ROOT%{_javadir}/%{name}/darkX-%{version}.jar

#BUILD/richfaces-3.2.2.SR1/samples/glassX/target/glassX-3.2.2.SR1.jar
%add_to_maven_depmap org.richfaces.samples glassX %{namedversion} JPP/%{name} glassX
install -m 644 samples/glassX/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-glassX.pom
install -m 644 samples/glassX/target/glassX-%{namedversion}.jar \
           $RPM_BUILD_ROOT%{_javadir}/%{name}/glassX-%{version}.jar

#BUILD/richfaces-3.2.2.SR1/samples/laguna/target/laguna-3.2.2.SR1.jar
%add_to_maven_depmap org.richfaces.samples laguna %{namedversion} JPP/%{name} laguna
install -m 644 samples/laguna/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-laguna.pom
install -m 644 samples/laguna/target/laguna-%{namedversion}.jar \
           $RPM_BUILD_ROOT%{_javadir}/%{name}/laguna-%{version}.jar

#BUILD/richfaces-3.2.2.SR1/samples/richfaces-demo/target/richfaces-demo.war


#BUILD/richfaces-3.2.2.SR1/ui/beanValidator/target/beanValidator-3.2.2.SR1.jar
%add_to_maven_depmap org.richfaces.ui beanValidator %{namedversion} JPP/%{name} beanValidator
install -m 644 ui/beanValidator/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-beanValidator.pom
install -m 644 ui/beanValidator/target/beanValidator-%{namedversion}.jar \
           $RPM_BUILD_ROOT%{_javadir}/%{name}/beanValidator-%{version}.jar

#BUILD/richfaces-3.2.2.SR1/ui/calendar/target/calendar-3.2.2.SR1.jar
%add_to_maven_depmap org.richfaces.ui calendar %{namedversion} JPP/%{name} calendar
install -m 644 ui/calendar/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-calendar.pom
install -m 644 ui/calendar/target/calendar-%{namedversion}.jar \
           $RPM_BUILD_ROOT%{_javadir}/%{name}/calendar-%{version}.jar

#BUILD/richfaces-3.2.2.SR1/ui/columns/target/columns-3.2.2.SR1.jar
%add_to_maven_depmap org.richfaces.ui columns %{namedversion} JPP/%{name} columns
install -m 644 ui/columns/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-columns.pom
install -m 644 ui/columns/target/columns-%{namedversion}.jar \
           $RPM_BUILD_ROOT%{_javadir}/%{name}/columns-%{version}.jar

#BUILD/richfaces-3.2.2.SR1/ui/combobox/target/combobox-3.2.2.SR1.jar
%add_to_maven_depmap org.richfaces.ui combobox %{namedversion} JPP/%{name} combobox
install -m 644 ui/combobox/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-combobox.pom
install -m 644 ui/combobox/target/combobox-%{namedversion}.jar \
           $RPM_BUILD_ROOT%{_javadir}/%{name}/combobox-%{version}.jar

#BUILD/richfaces-3.2.2.SR1/ui/componentControl/target/componentControl-3.2.2.SR1.jar
%add_to_maven_depmap org.richfaces.ui componentControl %{namedversion} JPP/%{name} componentControl
install -m 644 ui/componentControl/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-componentControl.pom
install -m 644 ui/componentControl/target/componentControl-%{namedversion}.jar \
           $RPM_BUILD_ROOT%{_javadir}/%{name}/componentControl-%{version}.jar

#BUILD/richfaces-3.2.2.SR1/ui/contextMenu/target/contextMenu-3.2.2.SR1.jar
%add_to_maven_depmap org.richfaces.ui contextMenu %{namedversion} JPP/%{name} contextMenu
install -m 644 ui/contextMenu/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-contextMenu.pom
install -m 644 ui/contextMenu/target/contextMenu-%{namedversion}.jar \
           $RPM_BUILD_ROOT%{_javadir}/%{name}/contextMenu-%{version}.jar

#BUILD/richfaces-3.2.2.SR1/ui/core/target/core-3.2.2.SR1.jar
%add_to_maven_depmap org.richfaces.ui core %{namedversion} JPP/%{name} core
install -m 644 ui/core/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-core.pom
install -m 644 ui/core/target/core-%{namedversion}.jar \
           $RPM_BUILD_ROOT%{_javadir}/%{name}/core-%{version}.jar

#BUILD/richfaces-3.2.2.SR1/ui/dataFilterSlider/target/dataFilterSlider-3.2.2.SR1.jar
%add_to_maven_depmap org.richfaces.ui dataFilterSlider %{namedversion} JPP/%{name} dataFilterSlider
install -m 644 ui/dataFilterSlider/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-dataFilterSlider.pom
install -m 644 ui/dataFilterSlider/target/dataFilterSlider-%{namedversion}.jar \
           $RPM_BUILD_ROOT%{_javadir}/%{name}/dataFilterSlider-%{version}.jar

#BUILD/richfaces-3.2.2.SR1/ui/dataTable/target/dataTable-3.2.2.SR1.jar
%add_to_maven_depmap org.richfaces.ui dataTable %{namedversion} JPP/%{name} dataTable
install -m 644 ui/dataTable/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-dataTable.pom
install -m 644 ui/dataTable/target/dataTable-%{namedversion}.jar \
           $RPM_BUILD_ROOT%{_javadir}/%{name}/dataTable-%{version}.jar

#BUILD/richfaces-3.2.2.SR1/ui/datascroller/target/datascroller-3.2.2.SR1.jar
%add_to_maven_depmap org.richfaces.ui datascroller %{namedversion} JPP/%{name} datascroller
install -m 644 ui/datascroller/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-datascroller.pom
install -m 644 ui/datascroller/target/datascroller-%{namedversion}.jar \
           $RPM_BUILD_ROOT%{_javadir}/%{name}/datascroller-%{version}.jar

#BUILD/richfaces-3.2.2.SR1/ui/drag-drop/target/drag-drop-3.2.2.SR1.jar
%add_to_maven_depmap org.richfaces.ui drag-drop %{namedversion} JPP/%{name} drag-drop
install -m 644 ui/drag-drop/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-drag-drop.pom
install -m 644 ui/drag-drop/target/drag-drop-%{namedversion}.jar \
           $RPM_BUILD_ROOT%{_javadir}/%{name}/drag-drop-%{version}.jar

#BUILD/richfaces-3.2.2.SR1/ui/dropdown-menu/target/dropdown-menu-3.2.2.SR1.jar
%add_to_maven_depmap org.richfaces.ui dropdown-menu %{namedversion} JPP/%{name} dropdown-menu
install -m 644 ui/dropdown-menu/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-dropdown-menu.pom
install -m 644 ui/dropdown-menu/target/dropdown-menu-%{namedversion}.jar \
           $RPM_BUILD_ROOT%{_javadir}/%{name}/dropdown-menu-%{version}.jar

#BUILD/richfaces-3.2.2.SR1/ui/effect/target/effect-3.2.2.SR1.jar
%add_to_maven_depmap org.richfaces.ui effect %{namedversion} JPP/%{name} effect
install -m 644 ui/effect/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-effect.pom
install -m 644 ui/effect/target/effect-%{namedversion}.jar \
           $RPM_BUILD_ROOT%{_javadir}/%{name}/effect-%{version}.jar

#BUILD/richfaces-3.2.2.SR1/ui/extendedDataTable/target/extendedDataTable-3.2.2.SR1.jar
%add_to_maven_depmap org.richfaces.ui extendedDataTable %{namedversion} JPP/%{name} extendedDataTable
install -m 644 ui/extendedDataTable/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-extendedDataTable.pom
install -m 644 ui/extendedDataTable/target/extendedDataTable-%{namedversion}.jar \
           $RPM_BUILD_ROOT%{_javadir}/%{name}/extendedDataTable-%{version}.jar

#BUILD/richfaces-3.2.2.SR1/ui/fileUpload/target/fileUpload-3.2.2.SR1.jar
%add_to_maven_depmap org.richfaces.ui fileUpload %{namedversion} JPP/%{name} fileUpload
install -m 644 ui/fileUpload/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-fileUpload.pom
install -m 644 ui/fileUpload/target/fileUpload-%{namedversion}.jar \
           $RPM_BUILD_ROOT%{_javadir}/%{name}/fileUpload-%{version}.jar

#BUILD/richfaces-3.2.2.SR1/ui/functions/target/functions-3.2.2.SR1.jar
%add_to_maven_depmap org.richfaces.ui functions %{namedversion} JPP/%{name} functions
install -m 644 ui/functions/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-functions.pom
install -m 644 ui/functions/target/functions-%{namedversion}.jar \
           $RPM_BUILD_ROOT%{_javadir}/%{name}/functions-%{version}.jar

#BUILD/richfaces-3.2.2.SR1/ui/gmap/target/gmap-3.2.2.SR1.jar
%add_to_maven_depmap org.richfaces.ui gmap %{namedversion} JPP/%{name} gmap
install -m 644 ui/gmap/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-gmap.pom
install -m 644 ui/gmap/target/gmap-%{namedversion}.jar \
           $RPM_BUILD_ROOT%{_javadir}/%{name}/gmap-%{version}.jar

#BUILD/richfaces-3.2.2.SR1/ui/hotKey/target/hotKey-3.2.2.SR1.jar
%add_to_maven_depmap org.richfaces.ui hotKey %{namedversion} JPP/%{name} hotKey
install -m 644 ui/hotKey/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-hotKey.pom
install -m 644 ui/hotKey/target/hotKey-%{namedversion}.jar \
           $RPM_BUILD_ROOT%{_javadir}/%{name}/hotKey-%{version}.jar

#BUILD/richfaces-3.2.2.SR1/ui/inplaceInput/target/inplaceInput-3.2.2.SR1.jar
%add_to_maven_depmap org.richfaces.ui inplaceInput %{namedversion} JPP/%{name} inplaceInput
install -m 644 ui/inplaceInput/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-inplaceInput.pom
install -m 644 ui/inplaceInput/target/inplaceInput-%{namedversion}.jar \
           $RPM_BUILD_ROOT%{_javadir}/%{name}/inplaceInput-%{version}.jar

#BUILD/richfaces-3.2.2.SR1/ui/inplaceSelect/target/inplaceSelect-3.2.2.SR1.jar
%add_to_maven_depmap org.richfaces.ui inplaceSelect %{namedversion} JPP/%{name} inplaceSelect
install -m 644 ui/inplaceSelect/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-inplaceSelect.pom
install -m 644 ui/inplaceSelect/target/inplaceSelect-%{namedversion}.jar \
           $RPM_BUILD_ROOT%{_javadir}/%{name}/inplaceSelect-%{version}.jar

#BUILD/richfaces-3.2.2.SR1/ui/inputnumber-slider/target/inputnumber-slider-3.2.2.SR1.jar
%add_to_maven_depmap org.richfaces.ui inputnumber-slider %{namedversion} JPP/%{name} inputnumber-slider
install -m 644 ui/inputnumber-slider/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-inputnumber-slider.pom
install -m 644 ui/inputnumber-slider/target/inputnumber-slider-%{namedversion}.jar \
           $RPM_BUILD_ROOT%{_javadir}/%{name}/inputnumber-slider-%{version}.jar

#BUILD/richfaces-3.2.2.SR1/ui/inputnumber-spinner/target/inputnumber-spinner-3.2.2.SR1.jar
%add_to_maven_depmap org.richfaces.ui inputnumber-spinner %{namedversion} JPP/%{name} inputnumber-spinner
install -m 644 ui/inputnumber-spinner/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-inputnumber-spinner.pom
install -m 644 ui/inputnumber-spinner/target/inputnumber-spinner-%{namedversion}.jar \
           $RPM_BUILD_ROOT%{_javadir}/%{name}/inputnumber-spinner-%{version}.jar

#BUILD/richfaces-3.2.2.SR1/ui/insert/target/insert-3.2.2.SR1.jar
%add_to_maven_depmap org.richfaces.ui insert %{namedversion} JPP/%{name} insert
install -m 644 ui/insert/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-insert.pom
install -m 644 ui/insert/target/insert-%{namedversion}.jar \
           $RPM_BUILD_ROOT%{_javadir}/%{name}/insert-%{version}.jar

#BUILD/richfaces-3.2.2.SR1/ui/jQuery/target/jQuery-3.2.2.SR1.jar
%add_to_maven_depmap org.richfaces.ui jQuery %{namedversion} JPP/%{name} jQuery
install -m 644 ui/jQuery/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-jQuery.pom
install -m 644 ui/jQuery/target/jQuery-%{namedversion}.jar \
           $RPM_BUILD_ROOT%{_javadir}/%{name}/jQuery-%{version}.jar

#BUILD/richfaces-3.2.2.SR1/ui/listShuttle/target/listShuttle-3.2.2.SR1.jar
%add_to_maven_depmap org.richfaces.ui listShuttle %{namedversion} JPP/%{name} listShuttle
install -m 644 ui/listShuttle/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-listShuttle.pom
install -m 644 ui/listShuttle/target/listShuttle-%{namedversion}.jar \
           $RPM_BUILD_ROOT%{_javadir}/%{name}/listShuttle-%{version}.jar

#BUILD/richfaces-3.2.2.SR1/ui/menu-components/target/menu-components-3.2.2.SR1.jar
%add_to_maven_depmap org.richfaces.ui menu-components %{namedversion} JPP/%{name} menu-components
install -m 644 ui/menu-components/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-menu-components.pom
install -m 644 ui/menu-components/target/menu-components-%{namedversion}.jar \
           $RPM_BUILD_ROOT%{_javadir}/%{name}/menu-components-%{version}.jar

#BUILD/richfaces-3.2.2.SR1/ui/message/target/message-3.2.2.SR1.jar
%add_to_maven_depmap org.richfaces.ui message %{namedversion} JPP/%{name} message
install -m 644 ui/message/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-message.pom
install -m 644 ui/message/target/message-%{namedversion}.jar \
           $RPM_BUILD_ROOT%{_javadir}/%{name}/message-%{version}.jar

#BUILD/richfaces-3.2.2.SR1/ui/modal-panel/target/modal-panel-3.2.2.SR1.jar
%add_to_maven_depmap org.richfaces.ui modal-panel %{namedversion} JPP/%{name} modal-panel
install -m 644 ui/modal-panel/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-modal-panel.pom
install -m 644 ui/modal-panel/target/modal-panel-%{namedversion}.jar \
           $RPM_BUILD_ROOT%{_javadir}/%{name}/modal-panel-%{version}.jar

#BUILD/richfaces-3.2.2.SR1/ui/orderingList/target/orderingList-3.2.2.SR1.jar
%add_to_maven_depmap org.richfaces.ui orderingList %{namedversion} JPP/%{name} orderingList
install -m 644 ui/orderingList/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-orderingList.pom
install -m 644 ui/orderingList/target/orderingList-%{namedversion}.jar \
           $RPM_BUILD_ROOT%{_javadir}/%{name}/orderingList-%{version}.jar

#BUILD/richfaces-3.2.2.SR1/ui/paint2D/target/paint2D-3.2.2.SR1.jar
%add_to_maven_depmap org.richfaces.ui paint2D %{namedversion} JPP/%{name} paint2D
install -m 644 ui/paint2D/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-paint2D.pom
install -m 644 ui/paint2D/target/paint2D-%{namedversion}.jar \
           $RPM_BUILD_ROOT%{_javadir}/%{name}/paint2D-%{version}.jar

#BUILD/richfaces-3.2.2.SR1/ui/panel/target/panel-3.2.2.SR1.jar
%add_to_maven_depmap org.richfaces.ui panel %{namedversion} JPP/%{name} panel
install -m 644 ui/panel/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-panel.pom
install -m 644 ui/panel/target/panel-%{namedversion}.jar \
           $RPM_BUILD_ROOT%{_javadir}/%{name}/panel-%{version}.jar

#BUILD/richfaces-3.2.2.SR1/ui/panelbar/target/panelbar-3.2.2.SR1.jar
%add_to_maven_depmap org.richfaces.ui panelbar %{namedversion} JPP/%{name} panelbar
install -m 644 ui/panelbar/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-panelbar.pom
install -m 644 ui/panelbar/target/panelbar-%{namedversion}.jar \
           $RPM_BUILD_ROOT%{_javadir}/%{name}/panelbar-%{version}.jar

#BUILD/richfaces-3.2.2.SR1/ui/panelmenu/target/panelmenu-3.2.2.SR1.jar
%add_to_maven_depmap org.richfaces.ui panelmenu %{namedversion} JPP/%{name} panelmenu
install -m 644 ui/panelmenu/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-panelmenu.pom
install -m 644 ui/panelmenu/target/panelmenu-%{namedversion}.jar \
           $RPM_BUILD_ROOT%{_javadir}/%{name}/panelmenu-%{version}.jar

#BUILD/richfaces-3.2.2.SR1/ui/pickList/target/pickList-3.2.2.SR1.jar
%add_to_maven_depmap org.richfaces.ui pickList %{namedversion} JPP/%{name} pickList
install -m 644 ui/pickList/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-pickList.pom
install -m 644 ui/pickList/target/pickList-%{namedversion}.jar \
           $RPM_BUILD_ROOT%{_javadir}/%{name}/pickList-%{version}.jar

#BUILD/richfaces-3.2.2.SR1/ui/progressBAR/target/progressBar-3.2.2.SR1.jar
%add_to_maven_depmap org.richfaces.ui progressBar %{namedversion} JPP/%{name} progressBar
install -m 644 ui/progressBAR/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-progressBar.pom
install -m 644 ui/progressBAR/target/progressBar-%{namedversion}.jar \
           $RPM_BUILD_ROOT%{_javadir}/%{name}/progressBar-%{version}.jar

#BUILD/richfaces-3.2.2.SR1/ui/scrollableDataTable/target/scrollableDataTable-3.2.2.SR1.jar
%add_to_maven_depmap org.richfaces.ui scrollableDataTable %{namedversion} JPP/%{name} scrollableDataTable
install -m 644 ui/scrollableDataTable/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-scrollableDataTable.pom
install -m 644 ui/scrollableDataTable/target/scrollableDataTable-%{namedversion}.jar \
           $RPM_BUILD_ROOT%{_javadir}/%{name}/scrollableDataTable-%{version}.jar

#BUILD/richfaces-3.2.2.SR1/ui/separator/target/separator-3.2.2.SR1.jar
%add_to_maven_depmap org.richfaces.ui separator %{namedversion} JPP/%{name} separator
install -m 644 ui/separator/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-separator.pom
install -m 644 ui/separator/target/separator-%{namedversion}.jar \
           $RPM_BUILD_ROOT%{_javadir}/%{name}/separator-%{version}.jar

#BUILD/richfaces-3.2.2.SR1/ui/simpleTogglePanel/target/simpleTogglePanel-3.2.2.SR1.jar
%add_to_maven_depmap org.richfaces.ui simpleTogglePanel %{namedversion} JPP/%{name} simpleTogglePanel
install -m 644 ui/simpleTogglePanel/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-simpleTogglePanel.pom
install -m 644 ui/simpleTogglePanel/target/simpleTogglePanel-%{namedversion}.jar \
           $RPM_BUILD_ROOT%{_javadir}/%{name}/simpleTogglePanel-%{version}.jar

#BUILD/richfaces-3.2.2.SR1/ui/spacer/target/spacer-3.2.2.SR1.jar
%add_to_maven_depmap org.richfaces.ui spacer %{namedversion} JPP/%{name} spacer
install -m 644 ui/spacer/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-spacer.pom
install -m 644 ui/spacer/target/spacer-%{namedversion}.jar \
           $RPM_BUILD_ROOT%{_javadir}/%{name}/spacer-%{version}.jar

#BUILD/richfaces-3.2.2.SR1/ui/state/target/state-3.2.2.SR1.jar
%add_to_maven_depmap org.richfaces.ui state %{namedversion} JPP/%{name} state
install -m 644 ui/state/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-state.pom
install -m 644 ui/state/target/state-%{namedversion}.jar \
           $RPM_BUILD_ROOT%{_javadir}/%{name}/state-%{version}.jar

#BUILD/richfaces-3.2.2.SR1/ui/suggestionbox/target/suggestionbox-3.2.2.SR1.jar
%add_to_maven_depmap org.richfaces.ui suggestionbox %{namedversion} JPP/%{name} suggestionbox
install -m 644 ui/suggestionbox/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-suggestionbox.pom
install -m 644 ui/suggestionbox/target/suggestionbox-%{namedversion}.jar \
           $RPM_BUILD_ROOT%{_javadir}/%{name}/suggestionbox-%{version}.jar

#BUILD/richfaces-3.2.2.SR1/ui/tabPanel/target/tabPanel-3.2.2.SR1.jar
%add_to_maven_depmap org.richfaces.ui tabPanel %{namedversion} JPP/%{name} tabPanel
install -m 644 ui/tabPanel/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-tabPanel.pom
install -m 644 ui/tabPanel/target/tabPanel-%{namedversion}.jar \
           $RPM_BUILD_ROOT%{_javadir}/%{name}/tabPanel-%{version}.jar

#BUILD/richfaces-3.2.2.SR1/ui/togglePanel/target/togglePanel-3.2.2.SR1.jar
%add_to_maven_depmap org.richfaces.ui togglePanel %{namedversion} JPP/%{name} togglePanel
install -m 644 ui/togglePanel/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-togglePanel.pom
install -m 644 ui/togglePanel/target/togglePanel-%{namedversion}.jar \
           $RPM_BUILD_ROOT%{_javadir}/%{name}/togglePanel-%{version}.jar

#BUILD/richfaces-3.2.2.SR1/ui/toolBar/target/toolBar-3.2.2.SR1.jar
%add_to_maven_depmap org.richfaces.ui toolBar %{namedversion} JPP/%{name} toolBar
install -m 644 ui/toolBar/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-toolBar.pom
install -m 644 ui/toolBar/target/toolBar-%{namedversion}.jar \
           $RPM_BUILD_ROOT%{_javadir}/%{name}/toolBar-%{version}.jar

#BUILD/richfaces-3.2.2.SR1/ui/tooltip/target/tooltip-3.2.2.SR1.jar
%add_to_maven_depmap org.richfaces.ui tooltip %{namedversion} JPP/%{name} tooltip
install -m 644 ui/tooltip/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-tooltip.pom
install -m 644 ui/tooltip/target/tooltip-%{namedversion}.jar \
           $RPM_BUILD_ROOT%{_javadir}/%{name}/tooltip-%{version}.jar

#BUILD/richfaces-3.2.2.SR1/ui/tree/target/tree-3.2.2.SR1.jar
%add_to_maven_depmap org.richfaces.ui tree %{namedversion} JPP/%{name} tree
install -m 644 ui/tree/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-tree.pom
install -m 644 ui/tree/target/tree-%{namedversion}.jar \
           $RPM_BUILD_ROOT%{_javadir}/%{name}/tree-%{version}.jar

#BUILD/richfaces-3.2.2.SR1/ui/treeModel/target/treeModel-3.2.2.SR1.jar
%add_to_maven_depmap org.richfaces.ui treeModel %{namedversion} JPP/%{name} treeModel
install -m 644 ui/treeModel/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-treeModel.pom
install -m 644 ui/treeModel/target/treeModel-%{namedversion}.jar \
           $RPM_BUILD_ROOT%{_javadir}/%{name}/treeModel-%{version}.jar

#BUILD/richfaces-3.2.2.SR1/ui/virtualEarth/target/virtualEarth-3.2.2.SR1.jar
%add_to_maven_depmap org.richfaces.ui virtualEarth %{namedversion} JPP/%{name} virtualEarth
install -m 644 ui/virtualEarth/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-virtualEarth.pom
install -m 644 ui/virtualEarth/target/virtualEarth-%{namedversion}.jar \
           $RPM_BUILD_ROOT%{_javadir}/%{name}/virtualEarth-%{version}.jar

(cd $RPM_BUILD_ROOT%{_javadir}/%{name} && for jar in *-%{version}*; do ln -sf ${jar} ${jar/-%{version}/}; done)

# javadoc
install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
cp -pr ui/assembly/target/apidocs/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
ln -s %{name}-%{version} $RPM_BUILD_ROOT%{_javadocdir}/%{name}

%if %with site
install -d -m 755 $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}
install -d -m 755 $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}/docs
cp -pr ui/assembly/target/site/* $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}/
install -d -m 755 $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}/wars
install -m 644 docs/userguide/en/target/classes/userguide_en-%{namedversion}.war \
                  $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}/wars
install -m 644 docs/cdkguide/en/target/classes/cdkguide_en-%{namedversion}.war \
                  $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}/wars
install -m 644 docs/faq/en/target/classes/faq_en-%{namedversion}.war \
                  $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}/wars
install -m 644 docs/migrationguide/en/target/classes/migration_en-%{namedversion}.war \
                  $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}/wars
install -m 644 docs/photo_album_app_guide/en/target/classes/photo_album_app_guide_en-%{namedversion}.war \
                 $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}/wars
%endif

# demo
install -d -m 755 $RPM_BUILD_ROOT%{_datadir}/%{name}-%{version}/demo
install -m 644 samples/richfaces-demo/target/richfaces-demo.war \
                  $RPM_BUILD_ROOT%{_datadir}/%{name}-%{version}/demo

%clean
rm -rf $RPM_BUILD_ROOT

%post 
%update_maven_depmap

%postun 
%update_maven_depmap

%files
%defattr(0644,root,root,0755)
%dir %{_javadir}/%{name}
%{_datadir}/maven2/poms/*
%{_mavendepmapfragdir}/%{name}
%dir %{_datadir}/%{name}-%{version}

%files framework
%defattr(0644,root,root,0755)
%{_javadir}/%{name}/%{name}-api*.jar
%{_javadir}/%{name}/%{name}-impl*.jar

%files test
%defattr(0644,root,root,0755)
%{_javadir}/%{name}/%{name}-test*.jar

%files generator
%defattr(0644,root,root,0755)
%{_javadir}/%{name}/generator*.jar

%files maven
%defattr(0644,root,root,0755)
%{_javadir}/%{name}/maven*.jar
%{_javadir}/maven2/plugins/*.jar

%files ui
%defattr(0644,root,root,0755)
%{_javadir}/%{name}/beanValidator-%{version}.jar
%{_javadir}/%{name}/beanValidator.jar
%{_javadir}/%{name}/calendar-%{version}.jar
%{_javadir}/%{name}/calendar.jar
%{_javadir}/%{name}/columns*.jar
%{_javadir}/%{name}/combobox*.jar
%{_javadir}/%{name}/componentControl*.jar
%{_javadir}/%{name}/contextMenu*.jar
%{_javadir}/%{name}/core*.jar
%{_javadir}/%{name}/dataFilterSlider*.jar
%{_javadir}/%{name}/dataTable*.jar
%{_javadir}/%{name}/datascroller*.jar
%{_javadir}/%{name}/drag-drop*.jar
%{_javadir}/%{name}/dropdown-menu*.jar
%{_javadir}/%{name}/effect*.jar
%{_javadir}/%{name}/extendedDataTable*.jar
%{_javadir}/%{name}/fileUpload*.jar
%{_javadir}/%{name}/functions*.jar
%{_javadir}/%{name}/gmap*.jar
%{_javadir}/%{name}/hotKey*.jar
%{_javadir}/%{name}/inplaceInput*.jar
%{_javadir}/%{name}/inplaceSelect*.jar
%{_javadir}/%{name}/inputnumber-slider*.jar
%{_javadir}/%{name}/inputnumber-spinner*.jar
%{_javadir}/%{name}/insert*.jar
%{_javadir}/%{name}/jQuery*.jar
%{_javadir}/%{name}/listShuttle*.jar
%{_javadir}/%{name}/menu-components*.jar
%{_javadir}/%{name}/message*.jar
%{_javadir}/%{name}/modal-panel*.jar
%{_javadir}/%{name}/orderingList*.jar
%{_javadir}/%{name}/paint2D*.jar
%{_javadir}/%{name}/panel.jar
%{_javadir}/%{name}/panel-%{version}.jar
%{_javadir}/%{name}/panelbar*.jar
%{_javadir}/%{name}/panelmenu*.jar
%{_javadir}/%{name}/pickList*.jar
%{_javadir}/%{name}/progressBar*.jar
%{_javadir}/%{name}/scrollableDataTable*.jar
%{_javadir}/%{name}/separator*.jar
%{_javadir}/%{name}/simpleTogglePanel*.jar
%{_javadir}/%{name}/spacer*.jar
%{_javadir}/%{name}/state*.jar
%{_javadir}/%{name}/suggestionbox*.jar
%{_javadir}/%{name}/tabPanel*.jar
%{_javadir}/%{name}/togglePanel*.jar
%{_javadir}/%{name}/toolBar*.jar
%{_javadir}/%{name}/tooltip*.jar
%{_javadir}/%{name}/tree.jar
%{_javadir}/%{name}/tree-%{version}.jar
%{_javadir}/%{name}/treeModel*.jar
%{_javadir}/%{name}/virtualEarth*.jar

%files demo
%defattr(0644,root,root,0755)
%{_datadir}/%{name}-%{version}/demo
%{_javadir}/%{name}/darkX*.jar
%{_javadir}/%{name}/glassX*.jar
%{_javadir}/%{name}/laguna*.jar

%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/%{name}-%{version}
%{_javadocdir}/%{name}

%if %with site
%files manual
%defattr(0644,root,root,0755)
%doc %dir %{_docdir}/%{name}-%{version}
%doc %dir %{_docdir}/%{name}-%{version}/css
%doc %{_docdir}/%{name}-%{version}/css/maven-base.css
%doc %{_docdir}/%{name}-%{version}/css/maven-theme.css
%doc %{_docdir}/%{name}-%{version}/css/print.css
%doc %{_docdir}/%{name}-%{version}/css/site.css
%doc %{_docdir}/%{name}-%{version}/dependencies.html
%doc %{_docdir}/%{name}-%{version}/dependency-convergence.html
%doc %dir %{_docdir}/%{name}-%{version}/images
%doc %{_docdir}/%{name}-%{version}/images/collapsed.gif
%doc %{_docdir}/%{name}-%{version}/images/expanded.gif
%doc %{_docdir}/%{name}-%{version}/images/external.png
%doc %{_docdir}/%{name}-%{version}/images/icon_error_sml.gif
%doc %{_docdir}/%{name}-%{version}/images/icon_info_sml.gif
%doc %{_docdir}/%{name}-%{version}/images/icon_success_sml.gif
%doc %{_docdir}/%{name}-%{version}/images/icon_warning_sml.gif
%doc %{_docdir}/%{name}-%{version}/images/logos/build-by-maven-black.png
%doc %{_docdir}/%{name}-%{version}/images/logos/build-by-maven-white.png
%doc %{_docdir}/%{name}-%{version}/images/logos/maven-feather.png
%doc %{_docdir}/%{name}-%{version}/images/newwindow.png
%doc %{_docdir}/%{name}-%{version}/index.html
%doc %{_docdir}/%{name}-%{version}/integration.html
%doc %{_docdir}/%{name}-%{version}/issue-tracking.html
%doc %{_docdir}/%{name}-%{version}/license.html
%doc %{_docdir}/%{name}-%{version}/mail-lists.html
%doc %{_docdir}/%{name}-%{version}/project-info.html
%doc %{_docdir}/%{name}-%{version}/project-summary.html
%doc %{_docdir}/%{name}-%{version}/source-repository.html
%doc %{_docdir}/%{name}-%{version}/team-list.html
%doc %{_docdir}/%{name}-%{version}/wars/cdkguide_en-%{namedversion}.war
%doc %{_docdir}/%{name}-%{version}/wars/faq_en-%{namedversion}.war
%doc %{_docdir}/%{name}-%{version}/wars/migration_en-%{namedversion}.war
%doc %{_docdir}/%{name}-%{version}/wars/photo_album_app_guide_en-%{namedversion}.war
%doc %{_docdir}/%{name}-%{version}/wars/userguide_en-%{namedversion}.war
%doc %{_javadir}/%{name}/cdkguide_en-%{version}.jar
%doc %{_javadir}/%{name}/cdkguide_en.jar
%doc %{_javadir}/%{name}/faq_en-%{version}.jar
%doc %{_javadir}/%{name}/faq_en.jar
%doc %{_javadir}/%{name}/highlight-%{version}.jar
%doc %{_javadir}/%{name}/highlight.jar
%doc %{_javadir}/%{name}/migration_en-%{version}.jar
%doc %{_javadir}/%{name}/migration_en.jar
%doc %{_javadir}/%{name}/photo_album_app_guide_en-%{version}.jar
%doc %{_javadir}/%{name}/photo_album_app_guide_en.jar
%doc %{_javadir}/%{name}/userguide_en-%{version}.jar
%doc %{_javadir}/%{name}/userguide_en.jar
%endif

%changelog
* Thu Oct 01 2009 David Walluck <dwalluck@redhat.com> 0:3.3.2-1
- 3.3.2

* Thu Sep 17 2009 David Walluck <dwalluck@redhat.com> 0:3.3.0-4
- add patch for cglib 2.2

* Mon Apr 20 2009 David Walluck <dwalluck@redhat.com> 0:3.3.0-3
- fix maven Requires

* Mon Apr 06 2009 David Walluck <dwalluck@redhat.com> 0:3.3.0-2
- fix typo in Requires
- update License

* Wed Mar 11 2009 David Walluck <dwalluck@redhat.com> 0:3.3.0-1
- 3.3.0.GA
- fix postgresql-jdbc depmap entry
- workaround icedtea rhino bug

* Fri Jan 23 2009 Ralph Apel <r.apel@r-apel.de> 0:3.2.2.1-1.jpp5
- First release
